
Ruby - Bug #11849

Heredoc regression in 2.2.4

12/19/2015 11:59 PM - whitequark (whitequark *)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.2.4p230 (2015-12-16 revision

53155)

Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONE

Description

The following code gets rejected by 2.2.4:

{

  label:<<-DOC

Some text for a heredoc goes here

  DOC

}

 However, it was valid in 2.2.3.

I think this might have been introduced in r51617 (#10653).

Associated revisions

Revision 9d5abbff9754589483938dc539226c2ad4895140 - 12/20/2015 02:43 AM - nobu (Nobuyoshi Nakada)

parse.y: labeled heredoc

parse.y (parser_yylex): allow here documents in labeled

argument.  [ruby-core:72396] [Bug #11849]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53214 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9d5abbff - 12/20/2015 02:43 AM - nobu (Nobuyoshi Nakada)

parse.y: labeled heredoc

parse.y (parser_yylex): allow here documents in labeled

argument.  [ruby-core:72396] [Bug #11849]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53214 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9c6779f53eb485b4653fb750a01447155b9e8fe4 - 12/22/2015 09:16 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53214,53215: [Backport #11849]

    * parse.y (parser_yylex): allow here documents in labeled

      argument.  [ruby-core:72396] [Bug #11849]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@53258 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9c6779f5 - 12/22/2015 09:16 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53214,53215: [Backport #11849]

    * parse.y (parser_yylex): allow here documents in labeled

      argument.  [ruby-core:72396] [Bug #11849]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@53258 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/20/2015 12:02 AM - whitequark (whitequark *)

- Description updated
https://redmine.ruby-lang.org/issues/10653


#2 - 12/20/2015 02:43 AM - nobu (Nobuyoshi Nakada)

- Description updated

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: REQUIRED

#3 - 12/20/2015 02:43 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r53214.

parse.y: labeled heredoc

parse.y (parser_yylex): allow here documents in labeled

argument.  [ruby-core:72396] [Bug #11849]

#4 - 12/22/2015 09:17 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE

Backported into ruby_2_2 branch at r53258.

Are there any concrete gems which is affected by this regression?

I want to know the severity of this issue in the real world.

#5 - 01/04/2016 06:42 AM - wanabe (_ wanabe)

Ref: https://github.com/whitequark/parser/issues/231#issuecomment-165921156
